import json
import urllib.request

url = "http://localhost:5000/monitoring/service-discovery"
payload = {
  "Server_id": 2,
  "Containers": [
    {
      "id": "3e74abf5ce30",
      "image": "hello-world:latest",
      "name": "serene_nightingale"
    },
    {
      "id": "83cd9d461690",
      "image": "postgres:latest",
      "name": "distracted_feistel"
    },
    {
      "id": "b296c2ed1213",
      "image": "postgres:latest",
      "name": "mystifying_jackson"
    },
    {
      "id": "69568181d576",
      "image": "hello-world:latest",
      "name": "romantic_driscoll"
    },
    {
      "id": "67c37a2b1791",
      "image": "hello-world:latest",
      "name": "asdf"
    },
    {
      "id": "8f39bae1e316",
      "image": "hello-world:latest",
      "name": "distracted_mirzakhani"
    }
  ]
}

data = json.dumps(payload).encode("utf-8")
req = urllib.request.Request(
url,
data=data,
headers={"Content-Type": "application/json"},
method="POST"
)

try:
    with urllib.request.urlopen(req) as response:
        resp_data = response.read().decode("utf-8")
        print("Status Code:", response.status)
        print("Response:", resp_data)
except Exception as e:
    print("Fehler beim Senden der Request:", e)

    
